ClientToAMTokenSecretManager (Apache Hadoop Main 3.5.0 API)
Description: declaration: package: org.apache.hadoop.yarn.security.client, class: ClientToAMTokenSecretManager

Package org.apache.hadoop.yarn.security.client

# Class ClientToAMTokenSecretManager

java.lang.Object
org.apache.hadoop.security.token.SecretManager<ClientToAMTokenIdentifier>
org.apache.hadoop.yarn.security.client.BaseClientToAMTokenSecretManager
org.apache.hadoop.yarn.security.client.ClientToAMTokenSecretManager

@Public @Evolving public class ClientToAMTokenSecretManager extends BaseClientToAMTokenSecretManager
A simple `SecretManager` for AMs to validate Client-RM tokens issued to clients by the RM using the underlying master-key shared by RM to the AMs on their launch. All the methods are called by either Hadoop RPC or YARN, so this class is strictly for the purpose of inherit/extend and register with Hadoop RPC.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.apache.hadoop.security.token.SecretManager

  `org.apache.hadoop.security.token.SecretManager.InvalidToken`

- ## Field Summary

  ### Fields inherited from class org.apache.hadoop.security.token.SecretManager

  `LOG`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ClientToAMTokenSecretManager(ApplicationAttemptId applicationAttemptID, byte[] key)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `SecretKey`
  `getMasterKey(ApplicationAttemptId applicationAttemptID)`
  `byte[]`
  `retrievePassword(ClientToAMTokenIdentifier identifier)`
  Retrieve the password for the given token identifier.
  `void`
  `setMasterKey(byte[] key)`

  ### Methods inherited from class org.apache.hadoop.yarn.security.client.BaseClientToAMTokenSecretManager

  `createIdentifier, createPassword`

  ### Methods inherited from class org.apache.hadoop.security.token.SecretManager

  `checkAvailableForRead, createPassword, createSecretKey, generateSecret, retriableRetrievePassword, update, validateSecretKeyLength`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ClientToAMTokenSecretManager

    public ClientToAMTokenSecretManager(ApplicationAttemptId applicationAttemptID, byte[] key)

- ## Method Details

  - ### retrievePassword

    public byte[] retrievePassword(ClientToAMTokenIdentifier identifier) throws org.apache.hadoop.security.token.SecretManager.InvalidToken
    Description copied from class: `SecretManager`
    Retrieve the password for the given token identifier. Should check the date or registry to make sure the token hasn't expired or been revoked. Returns the relevant password.
    Parameters:
      `identifier` - the identifier to validate
    Returns:
      the password to use
    Throws:
      `org.apache.hadoop.security.token.SecretManager.InvalidToken` - the token was invalid

  - ### getMasterKey

    public SecretKey getMasterKey(ApplicationAttemptId applicationAttemptID)

  - ### setMasterKey

    public void setMasterKey(byte[] key)